strchr
strcoll
String Functions
PHP Manual

# strcmp

(PHP 4, PHP 5)

strcmp — Binary safe string comparison

### Description

int strcmp ( string `$str1` , string `$str2` )

Note that this comparison is case sensitive.

### Parameters

`str1`

  The first string.

`str2`

  The second string.

### Return Values

Returns < 0 if `str1` is less than `str2` ; > 0 if `str1` is greater than `str2` , and 0 if they are equal.

### See Also

- preg_match()
- strcasecmp()
- substr()
- stristr()
- strncasecmp()
- strncmp()
- strstr()

strchr
strcoll
String Functions
PHP Manual